import { AccessControlConfigService } from '../access-control-config.service';
import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { AlertService, FormValidatorService } from '../../core';
import { Location } from '@angular/common';
import * as i0 from "@angular/core";
export declare class AccessControlConfigFormComponent implements OnInit {
    private fb;
    private formValidatorService;
    private alertService;
    private accessControlConfigService;
    private location;
    configForm: UntypedFormGroup;
    isWorking: boolean;
    isSaving: boolean;
    constructor(fb: UntypedFormBuilder, formValidatorService: FormValidatorService, alertService: AlertService, accessControlConfigService: AccessControlConfigService, location: Location);
    /**
     * Create the form instance.
     *
     * @private
     */
    private createForm;
    ngOnInit(): void;
    /**
     * Save the access control configuration.
     */
    submit(): void;
    resetFieldValue(field: string): void;
    getFieldValue(field: string): any;
    isFieldValid(field: string): any;
    getErrorMessage(field: string): any;
    /**
     * Fetch access control config and update the form.
     *
     * @private
     */
    private fetchAccessControlConfig;
    /**
     * Redirect back to last page.
     */
    redirectBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccessControlConfigFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccessControlConfigFormComponent, "app-access-control-config-form", never, {}, {}, never, never, false, never>;
}
