import { OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { MatSort } from '@angular/material/sort';
import { DomSanitizer } from '@angular/platform-browser';
import { TechlifyListingControllerInterface } from '../../base-model';
import { FormBuilder } from '@angular/forms';
import { AuditLogService } from '../audit-log.service';
import { RequestHelperService } from '../../request-helper/request-helper.service';
import * as i0 from "@angular/core";
export declare class AuditLogListComponent extends TechlifyListingControllerInterface implements OnInit, OnDestroy {
    private router;
    sanitizer: DomSanitizer;
    private formBuilder;
    private auditLogService;
    private requestHelperService;
    private activatedRoute;
    objectId: any;
    objectType: any;
    showFilter: boolean;
    showExportButtons: boolean;
    userId: any;
    disableFilterPatchingFromUrl: boolean;
    scrollContainer: string;
    filters: any;
    displayedColumns: any[];
    sort: MatSort;
    constructor(router: Router, sanitizer: DomSanitizer, formBuilder: FormBuilder, auditLogService: AuditLogService, requestHelperService: RequestHelperService, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    get excelData(): any[];
    changeSort(event: any): void;
    logClicked(log: any): void;
    initializeData(): void;
    filterChange(event: any): void;
    getTransformedChanges(log: any): string;
    ngOnDestroy(): void;
    loadData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditLogListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditLogListComponent, "app-audit-log-list", never, { "objectId": { "alias": "objectId"; "required": false; }; "objectType": { "alias": "objectType"; "required": false; }; "showFilter": { "alias": "showFilter"; "required": false; }; "showExportButtons": { "alias": "showExportButtons"; "required": false; }; "userId": { "alias": "userId"; "required": false; }; "disableFilterPatchingFromUrl": { "alias": "disableFilterPatchingFromUrl"; "required": false; }; "scrollContainer": { "alias": "scrollContainer"; "required": false; }; }, {}, never, never, false, never>;
}
