import { HttpService } from './http.service';
import * as i0 from "@angular/core";
/**
 * Service that provides a wrapper for retrieving data from the server
 * @deprecated use HttpService Instead
 * @author Joshua Kissoon
 * @since 20170709
 */
export declare class DataManager {
    private http;
    constructor(http: HttpService);
    /**
     * Callback wrapper for the HTTP GET Call
     *
     * @param urlq The query part of the URL to be sent to the server
     *
     * @author Joshua Kissoon
     * @since 20160826
     * @updated 20170711 to add parameters
     */
    GET(urlq: string, params?: {}): any;
    /**
     * Callback wrapper for the HTTP POST Call
     *
     * @param urlq The query part of the URL to be sent to the server
     * @param object The object containing the POST data to be sent
     *
     * @author Joshua Kissoon
     * @since 20160826
     */
    POST(urlq: string, object: any): any;
    /**
     * Callback wrapper for the HTTP POST Call
     *
     * @param urlq The query part of the URL to be sent to the server
     * @param object The object containing the POST data to be sent
     *
     * @author Joshua Kissoon
     * @since 20160826
     */
    POSTRAW(urlq: string, object: any): any;
    /**
     * Callback wrapper for the HTTP PUT Call
     *
     * @param urlq The query part of the URL to be sent to the server
     * @param object The object containing the PUT data to be sent
     *
     * @author Joshua Kissoon
     * @since 20160826
     */
    PUT(urlq: string, object: any): any;
    /**
     * Callback wrapper for the HTTP PATCH Call
     *
     * @param urlq The query part of the URL to be sent to the server
     * @param object The object containing the PUT data to be sent
     *
     * @author Joshua Kissoon
     * @since 20161107
     */
    PATCH(urlq: string, object: any): any;
    /**
     * Callback wrapper for the HTTP DELETE Call
     *
     * @param urlq The query part of the URL to be sent to the server
     *
     * @author Joshua Kissoon
     * @since 20160826
     */
    DELETE(urlq: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataManager, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataManager>;
}
