import { HttpEvent, HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ConfigService } from './config.service';
import { ErrorHandlerService } from './error-handler.service';
import { AlertService } from './alert.service';
import * as i0 from "@angular/core";
/**
 * Adds a default error handler to all requests.
 */
export declare class ErrorHandlerInterceptor implements HttpInterceptor {
    private configService;
    private errorHandler;
    private alertService;
    constructor(configService: ConfigService, errorHandler: ErrorHandlerService, alertService: AlertService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private handleError;
    /**
   * Helper function to check if an error is likely due to a network connection issue.
   *
   * @param error The error object to check.
   * @returns `true` if it's likely a network error, `false` otherwise.
   */
    checkNoNetworkConnection(error: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorHandlerInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorHandlerInterceptor>;
}
