import { OnInit } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
import { UntypedFormGroup, UntypedFormBuilder } from "@angular/forms";
import { EntityFileService } from '../entity-file.service';
import { FileDropperConfig } from '../../file-dropper/file-dropper.model';
import { ViewerConfig } from '../../document-viewer/viewer-config.model';
import { FormValidatorService } from '../../core/form-validator.service';
import { AlertService } from "../../core/alert.service";
import { TechlifyTaggerTagFormConfigModel } from "../../techlify-tagger-tag-form-field/techlify-tagger-tag-form-config.model";
import * as i0 from "@angular/core";
export declare class EntityFileFormComponent implements OnInit {
    dialogRef: MatDialogRef<EntityFileFormComponent>;
    data: any;
    private formValidatorService;
    private fb;
    private entityFileService;
    private alertService;
    entityFileGroup: UntypedFormGroup;
    assignmentFileFirstAttempt: boolean;
    updateMode: boolean;
    fileConfig: FileDropperConfig;
    fileList: any[];
    viewerConfig: ViewerConfig;
    hideTitleAndDetails: boolean;
    isSaving: boolean;
    /**
     * Should we allow tagging entity-files?
     */
    useTechlifyTags: boolean;
    techlifyTagCategories: string[];
    techlifyTagConfig: TechlifyTaggerTagFormConfigModel;
    constructor(dialogRef: MatDialogRef<EntityFileFormComponent>, data: any, formValidatorService: FormValidatorService, fb: UntypedFormBuilder, entityFileService: EntityFileService, alertService: AlertService);
    /** Method to create a form **/
    private createForm;
    ngOnInit(): void;
    submit(): Promise<void>;
    fileChanged(event: any): Promise<void>;
    removeFile(): Promise<void>;
    /**Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /**Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFileFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EntityFileFormComponent, "entity-file-form", never, {}, {}, never, never, false, never>;
}
