import { OnInit } from '@angular/core';
import { Location } from '@angular/common';
import { MatDialog } from '@angular/material/dialog';
import { EntityFileService } from './entity-file.service';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { AlertService } from '../core/alert.service';
import { ViewerConfig } from '../document-viewer/viewer-config.model';
import { FileDropperConfig } from '../file-dropper';
import { ErrorHandlerService } from '../core/error-handler.service';
import { TechlifyTaggerTagFormConfigModel } from "../techlify-tagger-tag-form-field/techlify-tagger-tag-form-config.model";
import { CurrentUserService, User } from "../user";
import * as i0 from "@angular/core";
export declare class EntityFilesViewAllComponent implements OnInit {
    private entityFileService;
    location: Location;
    private alertService;
    private dialog;
    private fb;
    private errorHandler;
    currentUserService: CurrentUserService;
    entityId: number;
    entityType: string;
    viewOnly: boolean;
    removeSearch: boolean;
    hideTitleAndDetails: boolean;
    displayMode: boolean;
    allowMultipleFiles: boolean;
    allowBulkUpdate: boolean;
    documentIds: any[];
    isAllSelected: boolean;
    /**
     * Should we allow tagging entity-files?
     */
    useTechlifyTags: boolean;
    techlifyTagCategories: string[];
    techlifyTagConfig: TechlifyTaggerTagFormConfigModel;
    viewerConfig: ViewerConfig;
    title: string;
    filters: any;
    entityFiles: any[];
    displayedColumns: string[];
    isWorking: boolean;
    page: number;
    perPage: number;
    lastPage: number;
    fileConfig: FileDropperConfig;
    fileList: any[];
    filterFormGroup: UntypedFormGroup;
    updateRowForm: UntypedFormGroup;
    isReload: boolean;
    user: User;
    isShowCreateAction: boolean;
    isShowUpdateAction: boolean;
    isShowDeleteAction: boolean;
    isShowReadAction: boolean;
    permission: {
        create: string;
        update: string;
        delete: string;
        read: string;
    };
    constructor(entityFileService: EntityFileService, location: Location, alertService: AlertService, dialog: MatDialog, fb: UntypedFormBuilder, errorHandler: ErrorHandlerService, currentUserService: CurrentUserService);
    ngOnInit(): void;
    listenRoutes(): void;
    fetchEntityFilesDetails(): void;
    addEntityFile(): void;
    editEntityFile(file: any): void;
    deleteEntityFile(file: any): void;
    onScroll(): void;
    reload(): void;
    ngOnDestroy(): void;
    resetFieldValue(event: any, field: any): void;
    sizeOf(bytes: any): string;
    fileChanged(event: any): Promise<void>;
    selectAll(): void;
    employeeListModified(event: any, employee: any): void;
    unCheckAll(): void;
    resetFieldValueOfRow(field: string, event: any): void;
    bulkUpdate(fieldName: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFilesViewAllComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EntityFilesViewAllComponent, "app-entity-files-view-all", never, { "entityId": { "alias": "entityId"; "required": false; }; "entityType": { "alias": "entityType"; "required": false; }; "viewOnly": { "alias": "viewOnly"; "required": false; }; "removeSearch": { "alias": "removeSearch"; "required": false; }; "hideTitleAndDetails": { "alias": "hideTitleAndDetails"; "required": false; }; "displayMode": { "alias": "displayMode"; "required": false; }; "allowMultipleFiles": { "alias": "allowMultipleFiles"; "required": false; }; "allowBulkUpdate": { "alias": "allowBulkUpdate"; "required": false; }; "useTechlifyTags": { "alias": "useTechlifyTags"; "required": false; }; "techlifyTagCategories": { "alias": "techlifyTagCategories"; "required": false; }; "techlifyTagConfig": { "alias": "techlifyTagConfig"; "required": false; }; "title": { "alias": "title"; "required": false; }; "permission": { "alias": "permission"; "required": false; }; }, {}, never, never, false, never>;
}
