import { OnInit } from '@angular/core';
import { FormBuilder, UntypedFormGroup } from '@angular/forms';
import { TechlifyFormComponentInterface } from '../../base-model';
import { AuthenticationService, ConfigService, CredentialsService, ErrorHandlerService, FormValidatorService } from '../../core';
import { CurrentUserService } from '../../user';
import { ActivatedRoute, Router } from '@angular/router';
import { MultiUserConfig, UserConfigService } from '../../user-config';
import { UserTypeEnum } from '../../user/user-type.enum';
import * as i0 from "@angular/core";
export declare class LoginFormFieldsComponent extends TechlifyFormComponentInterface implements OnInit {
    private fb;
    private config;
    private credentialService;
    currentUserService: CurrentUserService;
    private authService;
    private router;
    private route;
    userConfigService: UserConfigService;
    private errorHandler;
    userConfig?: MultiUserConfig;
    isWorking: boolean;
    form: UntypedFormGroup;
    loginError: {
        type: string;
        message: string;
    };
    userClients: any[];
    userType: typeof UserTypeEnum;
    constructor(fb: FormBuilder, formValidatorService: FormValidatorService, config: ConfigService, credentialService: CredentialsService, currentUserService: CurrentUserService, authService: AuthenticationService, router: Router, route: ActivatedRoute, userConfigService: UserConfigService, errorHandler: ErrorHandlerService);
    ngOnInit(): void;
    handleUserRedirect(): void;
    login(): void;
    private handleLoginErrors;
    backToLogin(): void;
    redirect(provider: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginFormFieldsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginFormFieldsComponent, "app-login-form-fields", never, { "userConfig": { "alias": "userConfig"; "required": false; }; }, {}, never, never, true, never>;
}
