import { OnInit, EventEmitter } from '@angular/core';
import { AlertService, ErrorHandlerService, FormValidatorService, HttpService } from '../core';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { User } from '../user';
import { CurrentUserService } from '../user';
import * as i0 from "@angular/core";
/**
 * Component to edit a user
 *
 * @author Saravana Kumar
 * @since 20190719
 */
export declare class ProfileEditComponent implements OnInit {
    private http;
    private alertService;
    private errorHandler;
    currentUserService: CurrentUserService;
    private fb;
    private formValidatorService;
    onSave: EventEmitter<User>;
    isWorking: boolean;
    profileForm: UntypedFormGroup;
    user: User;
    constructor(http: HttpService, alertService: AlertService, errorHandler: ErrorHandlerService, currentUserService: CurrentUserService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService);
    ngOnInit(): void;
    save(): void;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileEditComponent, "profile-edit", never, {}, { "onSave": "onSave"; }, never, never, false, never>;
}
