import { ActivatedRoute, Router } from '@angular/router';
import { UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RequestHelperService {
    private router;
    private activatedRoute;
    constructor(router: Router, activatedRoute: ActivatedRoute);
    /**
     * Update the form values from the URL query params.
     * @param formGroup FormGroup
     * @param formConfig FormConfig
     */
    updateFormWithQueryParams(formGroup: UntypedFormGroup, formConfig: any): void;
    /**
     * Convert the object to form data for the request.
     * @param data Data Object
     * @return Object
     */
    convertToFormData(data: any): any;
    /**
     * Update URL with the filters.
     * @param queryParams Query Params
     * @return Promise
     */
    updateQueryParams(queryParams: any): Promise<boolean>;
    /**
     * Format value.
     * @description Convert the comma separated values to array if it is multiple selectable.
     * @param value Value to be converted
     * @param formGroupElement Form group element
     */
    formatValue(value: string, formGroupElement: any): string | number[] | number | boolean;
    /**
     * @description Checks value to dertmine if the given value is a number
     * @param value Value to be Checked
     */
    isNumeric(str: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequestHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RequestHelperService>;
}
