import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { RequestHelperService } from '../../request-helper/request-helper.service';
import { ActivatedRoute } from '@angular/router';
import { RestrictorService } from '../restrictor.service';
import { Sort } from '@angular/material/sort';
import { MultiUserConfig, UserConfigService } from '../../user-config';
import * as i0 from "@angular/core";
export declare class RestrictorsListPageComponent implements OnInit {
    private fb;
    private requestHelperService;
    private activatedRoute;
    private restrictorService;
    userConfigService: UserConfigService;
    filterForm: FormGroup;
    displayedColumns: string[];
    private page;
    private totalItems;
    isWorking: boolean;
    scrollContainer: string;
    config: MultiUserConfig;
    models: any[];
    constructor(fb: FormBuilder, requestHelperService: RequestHelperService, activatedRoute: ActivatedRoute, restrictorService: RestrictorService, userConfigService: UserConfigService);
    ngOnInit(): void;
    private reload;
    /**
     * Fetch the restrictors list.
     *
     * @private
     */
    private fetchData;
    /**
     * Handle on sort change event.
     *
     * @param sort
     */
    onSortChange(sort: Sort): void;
    /**
     * Handle on scroll event to load data.
     */
    onScroll(): void;
    /**
     * Get restrictable value.
     *
     * @param restrictor
     */
    getRestrictableTypeValue(restrictor: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RestrictorsListPageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RestrictorsListPageComponent, "lib-restrictors-list-page", never, {}, {}, never, never, false, never>;
}
