import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { AlertService, CredentialsService, FormValidatorService } from '../core';
import { UserConfigService } from '../user-config';
import { MultiUserConfig } from '../user-config';
import { MatDialogRef } from '@angular/material/dialog';
import { RoleService } from './role.service';
import * as i0 from "@angular/core";
export declare class RoleFormComponent {
    private alertService;
    private credentialsService;
    private fb;
    private formValidatorService;
    userConfigService: UserConfigService;
    dialogRef: MatDialogRef<RoleFormComponent>;
    data: any;
    private roleService;
    modules: any;
    config: MultiUserConfig;
    isWorking: boolean;
    roleForm: UntypedFormGroup;
    showModuleSelector: boolean;
    isUpdateMode: boolean;
    constructor(alertService: AlertService, credentialsService: CredentialsService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, userConfigService: UserConfigService, dialogRef: MatDialogRef<RoleFormComponent>, data: any, roleService: RoleService);
    get isAdminUser(): boolean;
    ngOnInit(): void;
    save(): Promise<void>;
    getSubscribedModules(): Promise<void>;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoleFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RoleFormComponent, "role-form", never, {}, {}, never, never, false, never>;
}
