import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Role } from './role.model';
import { MultiUserConfig } from '../user-config';
import { UserConfigService } from '../user-config';
import { MatDialog } from '@angular/material/dialog';
import { CredentialsService, HttpService } from '../core';
import { CurrentUserService } from '../user';
import * as i0 from "@angular/core";
/**
 * Component used to view a set of roles
 *
 * @author Joshua Kissoon
 * @since 20160818
 */
export declare class RolesViewAllComponent implements OnInit {
    private http;
    private route;
    private credentialsService;
    userConfigService: UserConfigService;
    private dialog;
    currentUserService: CurrentUserService;
    roles: Role[];
    moduleCode: string;
    displayedColumns: string[];
    totalItems: number;
    currentPage: number;
    isWorking: boolean;
    clientId: number;
    config: MultiUserConfig;
    constructor(http: HttpService, route: ActivatedRoute, credentialsService: CredentialsService, userConfigService: UserConfigService, dialog: MatDialog, currentUserService: CurrentUserService);
    get isAdminUser(): boolean;
    ngOnInit(): void;
    loadData(): void;
    reload(): void;
    onScroll(): void;
    createOrModifyRole(role?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RolesViewAllComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RolesViewAllComponent, "roles-view-all", never, { "clientId": { "alias": "clientId"; "required": false; }; }, {}, never, never, false, never>;
}
