import { OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { ActivatedRoute } from '@angular/router';
import { ConfigService, HttpService } from '../core';
import { User } from './user.model';
import { UserService } from './user.service';
import { CurrentUserService } from './current-user.service';
import { UserTypeEnum } from './user-type.enum';
import * as i0 from "@angular/core";
/**
 * Controller used to view a single user
 *
 * @author Floyd Kissoon
 * @since 20210701
 */
export declare class UserViewComponent implements OnInit {
    private userService;
    private route;
    config: ConfigService;
    private http;
    private dialog;
    currentUserService: CurrentUserService;
    constructor(userService: UserService, route: ActivatedRoute, config: ConfigService, http: HttpService, dialog: MatDialog, currentUserService: CurrentUserService);
    user: User;
    currentUser: User;
    protected readonly UserTypeEnum: typeof UserTypeEnum;
    ngOnInit(): void;
    loadUser(userId: any): void;
    enableOrDisableUser(action: any): void;
    editUser(user: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserViewComponent, "user-view", never, {}, {}, never, never, false, never>;
}
